> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Inquire of Request for Information.

GET https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/{id}

This endpoint allows you to get Request for Information.

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/additional-services/ccapi-payments-json/request-for-information-api/find-request-for-information-by-rfi-id

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://b2b.api.icg.citi.com/citiconnect/prod` (production gateway url, default)
- `https://sandbox.b2b.api.icg.citi.com/citiconnect/sb` (sbox url )

## Request

### Path parameters

- `id` (string, required) — Your unique identification for a request for information, same as rfi_id.

### Query parameters

- `client_id` (string, required) — Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

## Response

### 200

OK

- `rfi_id` (string, required) — RFI ID
- `alert_id` (string, required) — Alert ID.
- `request_data` (RequestForInformationRequestData, required) — Source data
- `fieldlevel_requests` (list of Field-Level-Requests, optional) — Field level requests for which response is requested

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 404 Not Found Error

Not Found

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 409 Conflict Error

Conflict

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

## Types

### RequestForInformationRequestData

Source data

- `type`: `entity` (Request-Data-Entity)
  - `country` (string, optional) — Country.
  - `first_name` (string, optional) — The first name.
  - `identifier_type` (string, optional) — Specifies the type of identifier being provided. This could be a payer ID.
  - `identifier_value` (string, optional) — The actual identifier value corresponding to the `identifier_type`.
  - `last_name` (string, optional) — The last name.
- `type`: `transaction` (Request-Data-Transaction)
  - `account_name` (string, optional) — The name of the creditor.
  - `account_number` (string, optional) — The account identifier of the creditor.
  - `amount` (string, optional) — Transaction amount.
  - `bic_receiver` (string, optional) — BIC receiver code.
  - `currency` (string, optional) — Transaction currency.
  - `debtor_account_id` (string, optional) — The account identifier of the debtor.
  - `debtor_name` (string, optional) — The name of the debtor.
  - `destination_country` (string, optional) — Destination country.
  - `direction` (string, optional) — Specifies the direction of the transaction.
  - `iban` (string, optional) — The transaction IBAN.
  - `identifier_type` (string, optional) — Specifies the type of identifier being provided. This could be an account ID, a Swift code, or an IBAN, indicating the nature of the identifier in `identifier_value`.
  - `identifier_value` (string, optional) — The actual identifier value corresponding to the `identifier_type`.
  - `origin_country` (string, optional) — Origin country.
  - `transaction_date` (string, optional) — The date and time when the transaction was initiated or processed. Format: ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ).
  - `transaction_reference` (string, optional) — A unique transaction reference number.
  - `uetr` (string, optional) — UUID v4 format unique end-to-end transaction reference
  - `value_date` (string, optional) — Format YYYY-MM-DDTHH:mm:ss.sssZ Date in local time zone (e.g., EST for a United States RTP network transaction) when Citi's transaction processing application starts processing a transaction

### Field-Level-Requests

Request can have one or more match level requests.

- `field_id` (double, required) — Unique ID for each match.
- `field_name` (string, required) — Name of the field where match has occurred.
- `field_value` (string, required) — Entire content of the field having the match.
- `input_type` (string, required) — The input type will be one the following - individual / entity / aircraft / vessel / unknown / others.
- `field_details` (list of Field-Details, required) — Field details with questions requested from client.
- `clarification_required_for` (string, optional) — Exact match.
- `additional_clarification` (string, optional) — Additional clarification.

### Error-Detail

- `issue` (string, optional) — more details about the issue
- `action` (string, optional) — corrective action to be taken to resolve above issue
- `code` (string, optional) — unique code representing the issue

### Field-Details

Field details can have one or more questions requested from client.

- `question_name` (string, required) — Data requested from client.
- `datatype` (string, required) — Data format type which client needs to return in the response.
- `description` (string, required) — Description of the requested data.

## Examples

**Response**

```json
{
  "rfi_id": "string",
  "alert_id": "string",
  "request_data": {
    "type": "entity",
    "country": "US",
    "first_name": "John",
    "identifier_type": "payer_id",
    "identifier_value": "425255252352",
    "last_name": "Terry"
  },
  "fieldlevel_requests": [
    {
      "field_id": 1.1,
      "field_name": "string",
      "field_value": "string",
      "input_type": "string",
      "field_details": [
        {
          "question_name": "string",
          "datatype": "string",
          "description": "string"
        }
      ],
      "clarification_required_for": "string",
      "additional_clarification": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1"

querystring = {"client_id":"6d3cf821-db6d-496d-bec0-064a362e9c31"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/requestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```